valorant-api-types
Version:
A collection of documented endpoints and return types for the unofficial Valorant API
106 lines (105 loc) • 3.34 kB
TypeScript
import { z } from 'zod';
export declare const sendChatEndpoint: {
readonly name: "Send Chat";
readonly description: "Send a message to the specified group";
readonly category: string[];
readonly type: "local";
readonly suffix: "chat/v6/messages";
readonly method: "POST";
readonly body: z.ZodObject<{
cid: z.ZodString;
message: z.ZodString;
type: z.ZodEnum<["groupchat", "chat", "system"]>;
}, "strip", z.ZodTypeAny, {
message: string;
type: "groupchat" | "chat" | "system";
cid: string;
}, {
message: string;
type: "groupchat" | "chat" | "system";
cid: string;
}>;
readonly riotRequirements: {
readonly localAuth: true;
};
readonly responses: {
readonly '200': z.ZodObject<{
messages: z.ZodArray<z.ZodObject<{
body: z.ZodString;
cid: z.ZodString;
game_name: z.ZodString;
game_tag: z.ZodString;
id: z.ZodString;
mid: z.ZodString;
name: z.ZodString;
pid: z.ZodString;
puuid: z.ZodString;
read: z.ZodBoolean;
region: z.ZodString;
time: z.ZodEffects<z.ZodString, Date, string>;
type: z.ZodEnum<["chat", "groupchat"]>;
}, "strip", z.ZodTypeAny, {
type: "groupchat" | "chat";
cid: string;
mid: string;
body: string;
game_name: string;
game_tag: string;
id: string;
name: string;
pid: string;
puuid: string;
read: boolean;
region: string;
time: Date;
}, {
type: "groupchat" | "chat";
cid: string;
mid: string;
body: string;
game_name: string;
game_tag: string;
id: string;
name: string;
pid: string;
puuid: string;
read: boolean;
region: string;
time: string;
}>, "many">;
}, "strip", z.ZodTypeAny, {
messages: {
type: "groupchat" | "chat";
cid: string;
mid: string;
body: string;
game_name: string;
game_tag: string;
id: string;
name: string;
pid: string;
puuid: string;
read: boolean;
region: string;
time: Date;
}[];
}, {
messages: {
type: "groupchat" | "chat";
cid: string;
mid: string;
body: string;
game_name: string;
game_tag: string;
id: string;
name: string;
pid: string;
puuid: string;
read: boolean;
region: string;
time: string;
}[];
}>;
};
};
export type SendChatResponse = z.input<typeof sendChatEndpoint.responses['200']>;